educativa Mobile

The version of your Campus is compatible with educativa Mobile

Android download

Requirements

  • Mobile with Android 4.4 or higher.
  • educativa campus to which you connect in version 9 or higher.
More information

iOS download

Requirements

  • iOS 11.2 or later. Using iPhone, iPad or iPod touch.
  • That the Campus is version 9 or higher.
More information
Copyright educativa 2020 | Legal Terms